/*
 Theme Name:   Divi Child Theme
 Theme URI:    https://www.elegantthemes.com/
 Description:  Child Theme for Divi
 Author:       MD Rahu
 Author URI:   https://www.fiverr.com/raahuu?source=gig_page
 Template:     Divi
 Version:      2.0.0
*/

/*-------------------Add any custom CSS below this line-------------------*/

.HH-gallery-slider .et-pb-controllers {
    position: relative;
    z-index: 999;
}
.HH-gallery-slider .et-pb-controllers {
    position: relative;
    z-index: 999;
    display: flex;
    flex-direction: column;
    width: 50px;
    align-items: flex-end;
    margin: 0 !important;
    inset: 0;
    gap: 10px;
    flex-wrap: wrap;
    justify-content: center;
    height: -webkit-fill-available;
    min-height: 100%;
}
.HH-gallery-slider .et_pb_gallery_items {
    width: calc(100% - 50px);
}
.HH-gallery-slider .et-pb-controllers a {
    margin: 0;
    height: 40px;
    transition: all .3s ease-in-out;
    background-color: #00698F !important;
	width: 8px;
    opacity: .3;
}
.HH-gallery-slider .et-pb-slider-arrows {
    display: none;
}
.et_pb_module.HH-gallery-slider {
    display: flex;
}
.HH-gallery-slider .et-pb-controllers a.et-pb-active-control {
    height: 80px;
    opacity: 1;
}
.HH-gallery-slider .et_pb_gallery_image>a {
    pointer-events: none;
}
@media (max-width: 980px) {
	.HH-gallery-slider .et-pb-controllers a {
		height: 30px;
		width: 6px;
	}
	.HH-gallery-slider .et-pb-controllers a.et-pb-active-control {
		height: 60px;
	}
	.HH-gallery-slider .et_pb_gallery_items {
		width: calc(100% - 35px);
	}
	.HH-gallery-slider .et-pb-controllers {
		width: 35px;
	}
}
@media (max-width: 767px) {
	.HH-gallery-slider .et-pb-controllers a {
		height: 15px;
	}
	.HH-gallery-slider .et-pb-controllers a.et-pb-active-control {
		height: 30px;
	}
	.HH-gallery-slider .et_pb_gallery_items {
		width: calc(100% - 25px);
	}
	.HH-gallery-slider .et-pb-controllers {
		width: 25px;
	}
}


body #page-container .et_pb_module.linked-card-slider .swiper-arrow-button {
    top: 0;
    right: 0 !important;
    left: auto !important;
    transform: unset;
}
body #page-container .et_pb_module.linked-card-slider .swiper-arrow-button::after {
    border: 2px solid;
    position: absolute;
    width: calc(100% + 2px);
    height: calc(100% + 2px);
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: inherit;
}
body #page-container .et_pb_module.linked-card-slider .swiper-button-prev {
    transform: translateX(-100%);
    margin-right: 15px;
}
.et_pb_module.linked-card-slider .dipi-carousel-item-content {
    padding: 0;
}
.linked-card-slider .dipi-carousel-item-title, .linked-card-slider .dipi-carousel-item-desc {
    margin: 0;
    padding: 20px 8% !important;
	position: relative;
}
.linked-card-slider .dipi-carousel-item-content>a .dipi-carousel-item-desc:after {
    content: "\24";
    font-family: 'ETmodules';
    position: absolute;
    right: 5%;
    top: 21px;
}



.cool-cta {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-end;
    align-content: flex-end;
    overflow: hidden;
}
.cool-cta-inner {
    display: flex;
    flex-wrap: wrap;
    transition: all .4s ease-in-out;
}
.cool-cta div {
    width: 100%;
}
.cool-cta:hover .cool-cta-inner {
    transform: translateY(0) !important;
}
.cool-cta .et_pb_module_header {
    padding-bottom: 30px;
}
.et_pb_module.cool-cta {
    height: 100%;
}
.cool-cta .et-fb-button,
.cool-cta .et-fb-button-group {
    width: fit-content !important;
}

@media (min-width: 981px) {
	body #page-container .custom-module-grid .et_pb_column {
		width: calc(50% - 10px) !important;
		margin-right: 20px;
	}
	body #page-container .custom-module-grid .et_pb_column:last-child {
		margin-right: 0 !important;
	}
	.c-spec-col>.et_pb_row>.et_pb_column {
		width: 40%;
		margin-right: 5%;
	}
	.c-spec-col>.et_pb_row>.et_pb_column.c-spec-col2{
		width: 55%;
		margin-right: 0;
	}
}


.et_pb_button {
    position: relative;
}
.button-child {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    overflow: hidden;
    border-radius: inherit;
	pointer-events: none;
}
.button-child-inner{
    position: absolute;
    top: 0;
    left: -105%;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.2);
    transition: all 0.5s ease;
	pointer-events: none;
	transform: skewX(10deg);
}
.white-button .button-child-inner {
    background: rgb(0 163 196 / 19%);
}
.et_pb_button:hover .button-child-inner{
    left: 105%;
}


/* Bubble particles */
/* party container */
.et_pb_button{
    position: relative;
    overflow: visible !important;
}

.button-party{
    position: absolute;
    inset: -10px; /* small outside zone */
    pointer-events: none;
	z-index: 999;
}

.button-party-inner{
    position: absolute;
    inset: 0;
    pointer-events: none;
}

/* bubbles */
.party-bubble{
    position: absolute;
    pointer-events: none;
    border-radius: 50%;
    opacity: 0.95;
    animation: bubble-pop 900ms cubic-bezier(.22,.61,.36,1) forwards;
    filter: blur(0.2px);
    mix-blend-mode: plus-lighter;
}
body #page-container .et_pb_button .button-party-inner .party-bubble{
	background-image: url(/wp-content/uploads/2026/04/bubbles-1.png) !important;
	background-size: 100%;
}
body #page-container .white-button.et_pb_button .button-party-inner .party-bubble{
	background-image: url(/wp-content/uploads/2026/04/bubbles-white.png) !important;
	background-size: 100%;
}


@keyframes bubble-pop{
    0%{
        transform: scale(0.3) translate(0,0);
        opacity: 1;
    }
    60%{
        opacity: 1;
    }
    100%{
        transform: scale(1.3) translate(var(--x), var(--y));
        opacity: 0;
    }
}

a.et_pb_button.underlined-button:after {
    top: 50%;
    transform: translateY(-50%);
/*     margin-left: 0 !important; */
}
a.et_pb_button.underlined-button .button-child {
    display: none;
}
body #page-container .et_pb_button:active {
    transition: all .1s ease-in-out !important;
    transform: scale(.95) !important;
}



.full-width-carsl .dipi-carousel-child-wrapper img {
    height: 100%;
    object-fit: cover;
}
.full-width-carsl .et_pb_module_inner, .full-width-carsl .dipi-carousel-child-wrapper, .full-width-carsl .dipi-image-wrap {
    height: 100%;
}
body #page-container .full-width-carsl span.swiper-pagination-bullet {
    width: 40px !important;
    border-radius: 100px;
    height: 6px !important;
    margin: 6px 4px !important;
    inset: 0 !important;
    transform: unset !important;
    transition: all .2s ease-in-out !important;
	opacity: .3 !important;
}
body #page-container .full-width-carsl span.swiper-pagination-bullet.swiper-pagination-bullet-active {
    width: 80px !important;
	opacity: 1 !important;
}
.full-width-carsl  .swiper-pagination {
    display: flex !important;
    flex-wrap: wrap;
    position: absolute;
    inset: 0 !important;
    width: 100% !important;
    transform: unset !important;
    justify-content: center;
    padding-top: 25px;
    width: 100% !important;
    top: 0 !important;
    bottom: 0 !important;
    height: fit-content;
}
.full-width-carsl .swiper-container-horizontal {
    position: relative;
}


.bordered-text.et_pb_text_align_left {
    margin-right: auto;
}.bordered-text.et_pb_text_align_right {
    margin-left: auto;
}.bordered-text.et_pb_text_align_center {
    margin: auto;
}
.custom-blurb .et_pb_blurb_content {
    background: rgba(255,255,255,.5);
    padding: 2em;
    border-radius: 10px;
    margin-right: auto !important;
    margin-left: 0;
    transition: all .3s ease-in-out;
    backdrop-filter: blur(8px);
}
.custom-blurb .et_pb_blurb_content {
    transition-delay: .3s;
}
.custom-blurb:hover .et_pb_blurb_content {
    transition-delay: 0s;
}
@media screen and (min-width: 981px){
	.custom-blurb:hover .et_pb_blurb_content {
		transform: translatex(10%);
	}
	.custom-blurb.c-blurb-right:hover .et_pb_blurb_content {
		transform: translatex(-10%);
	}
}
.c-blurb-right .et_pb_blurb_content {
    margin-right: 0 !important;
    margin-left: auto !important;
}


.animated-image, .animated-image span.et_pb_image_wrap {
    height: 100%;
}
.animated-image .et_pb_image_wrap img {
  width: 120%;
  height: 120%;
  object-fit: cover;
  transform-origin: center;
  animation: cinematicKenBurns 22s cubic-bezier(0.45, 0, 0.55, 1) infinite alternate;
  will-change: transform;
}

@keyframes cinematicKenBurns {
  0% {
    transform: scale(1) translate3d(0%, 0%, 0) rotate(0deg);
  }

  100% {
    transform: scale(1.25) translate3d(-6%, -4%, 0) rotate(-0.5deg);
  }
}



.border-animation {
    width: fit-content;
}
.border-animation.et_pb_text_align_center {
    margin: auto !important;
}
.border-animation.et_pb_text_align_center {
    margin-left: auto;
}
.border-animation {
  animation: floatSoft 4s ease-in-out infinite;
}

@keyframes floatSoft {
  0% {
    transform: translateY(0px);
  }
  50% {
    transform: translateY(-6px);
  }
  100% {
    transform: translateY(0px);
  }
}




.c-toggle-styles .et_pb_toggle_title {
    padding-top: 20px !important;
    padding-bottom: 20px !important;
}
.c-toggle-styles {
    padding: 0;
}
.c-toggle-styles .et_pb_toggle_content {
    padding-bottom: 20px;
}



.blurb-links-grid {
    display: flex;
    flex-wrap: wrap;
	column-gap: 30px;
}
.blurb-links-grid .et_pb_module {
    width: calc(50% - 15px);
	margin-bottom: 30px !important;
}
@media (max-width: 560px) {
	.blurb-links-grid .et_pb_module {
		width: 100%;
	}
}
.simple-gallery-sldr .et-pb-controllers {
    position: relative;
    inset: 0;
    padding-top: 10px;
    display: flex;
    flex-wrap: wrap;
}
.et_pb_module.simple-gallery-sldr .et-pb-controllers a {
    background-color: #00698f;
}
.linked-blurb .et_pb_blurb_content {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
}
.linked-blurb .et_pb_blurb_container {
    padding-left: 0 !important;
}
.linked-blurb .et_pb_main_blurb_image {
    margin-bottom: 0;
    height: fit-content;
}
.linked-blurb span.et_pb_image_wrap {
    position: relative;
}
.linked-blurb span.et_pb_image_wrap:after {
    content: "";
    background: url(/wp-content/uploads/2026/02/hammer.png);
    position: absolute;
    width: 25px;
    height: 25px;
    background-size: 100%;
    left: 50px;
    opacity: 0;
	transition: all .2s ease-in-out;
	transform-origin: bottom;
}
.linked-blurb:hover span.et_pb_image_wrap:after {
    left: 26px;
    opacity: 1;
	animation: hammaring 1.2s ease-in-out infinite;
	transition: all .2s ease-in-out, opacity .05s ease-in-out;
}
@keyframes hammaring {
	0% {transform: rotate(0);}
	25% {transform: rotate(0);}
	30% {transform: rotate(20deg);}
	40% {transform: rotate(0);}
	50% {transform: rotate(20deg);}
	60% {transform: rotate(0);}
	70% {transform: rotate(20deg);}
	80% {transform: rotate(0);}
	90% {transform: rotate(20deg);}
	100% {transform: rotate(0);}
}




.header-blurb .et_pb_blurb_content {
    display: flex;
    align-items: center;
}
.header-blurb .et_pb_main_blurb_image {
    margin-bottom: 0;
}
.header-blurb .et_pb_blurb_container {
    padding-left: 10px !important;
}
.header-blurb .et_pb_main_blurb_image {
    width: fit-content;
}


.c-menu-style .et_pb_menu__menu>nav>ul>li>a {
    padding: 15px 0;
}
.c-menu-style ul#menu-main-menu li.menu-item a {
    opacity: 1;
}
.c-menu-style ul#menu-main-menu>li.menu-item a {
    position: relative;
}
.c-menu-style ul#menu-main-menu li.menu-item li a {
    min-width: max-content;
    width: fit-content !important;
    padding: 10px 0px;
    margin: 2px 0;
    transition: all .2s ease-in-out;
    background: transparent !important;
}


.c-menu-style ul#menu-main-menu li.menu-item a:before {
    content: "";
    background: linear-gradient(90deg, #5fcdf5 0%, #00698f 50%, #5fcdf5 100%);
    background-size: 150%;
    height: 2px;
    width: 0;
    position: absolute;
    bottom: calc(50% - 12px);
    transition: all .3s ease-in-out;
    left: 50%;
    transform: translateX(-50%);
}

.c-menu-style ul#menu-main-menu li.menu-item li.current-menu-item a:before,
.c-menu-style ul#menu-main-menu li.menu-item li a:hover:before,
.c-menu-style ul#menu-main-menu>li.menu-item.in-viewport>a::before,
.c-menu-style ul#menu-main-menu>li.menu-item.current-menu-parent>a::before,
.c-menu-style ul#menu-main-menu>.current-menu-item:first-of-type a::before, 
.c-menu-style ul#menu-main-menu>li.menu-item>a:hover::before {
    width: 100%;
    animation: menuitemAnimate 1.5s linear infinite;
}
@keyframes menuitemAnimate {
	0% {background-position-x: 0%;}
	100% {background-position-x: 300%;}
}
@media screen and (max-width: 980px){
	.c-menu-style .et_pb_menu__wrap {
		justify-content: flex-end !important;
	}
}
.colored-links a:after,
.footer-links a:after,
.header-blurb.et_clickable .et_pb_blurb_description:after {
    content: "";
    position: absolute;
    left: 50%;
    top: 100%;
    width: 0;
    height: 1px;
    background: #fff;
    transform: translateX(-50%);
    transition: all .3s ease-in-out;
}
.colored-links a:hover:after,
.footer-links a:hover:after,
.header-blurb.et_clickable:hover .et_pb_blurb_description:after {
    width: 100%;
}
.colored-links a,
.footer-links a,
.header-blurb.et_clickable .et_pb_blurb_description {
    position: relative;
}
.colored-links a:after{
	background-color: #00698f !important;
}
.ignore-link-underline a:after{
	display: none;
}


.simple-gallery-sldr .et-pb-slider-arrows a {
    color: #fff !important;
}
.headsot-blurb .et_pb_main_blurb_image img {
    aspect-ratio: 1/1;
    object-fit: cover;
}


.animated-BG-child {
    position: absolute;
    width: 100%;
    height: 100%;
    inset: 0;
    z-index: -1;
	pointer-events: none;
}